ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Seq

Contents

- Utilities for forcing Core structures

Description

Various utilities for forcing Core structures

It can often be useful to force various parts of the AST. This module provides a number of `seq`-like functions to accomplish this.

Synopsis

- seqExpr :: CoreExpr -> ()
- seqExprs :: [CoreExpr] -> ()
- seqUnfolding :: Unfolding -> ()
- seqRules :: [CoreRule] -> ()
- megaSeqIdInfo :: IdInfo -> ()
- seqRuleInfo :: RuleInfo -> ()
- seqBinds :: [Bind CoreBndr] -> ()

# Utilities for forcing Core structures

seqExpr :: CoreExpr -> () #

seqExprs :: [CoreExpr] -> () #

seqUnfolding :: Unfolding -> () #

seqRules :: [CoreRule] -> () #

megaSeqIdInfo :: IdInfo -> () #

Evaluate all the fields of the `IdInfo` that are generally demanded by the compiler

seqRuleInfo :: RuleInfo -> () #

seqBinds :: [Bind CoreBndr] -> () #